Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036972
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2017-09-28 16:442018-01-03 12:39
Reportergorka_gilView Statuspublic 
Assigned Tocaristu 
PrioritylowResolutionfixedFixed in Version3.0PR18Q1
StatusclosedFix in branchFixed in SCM revision10214c76633e
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browserGoogle Chrome
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036972: In a tree, moving an item that you don't have access produce null pointer error in the log and don't give feedback to the user

DescriptionIn a tree in which have access to some items and other no,
If move an item that don't have access

A) it gives these errors in openbravo.log:
- ERROR org.openbravo.base.exception.OBSecurityException - Organization ....
- ERROR org.openbravo.service.datasource.TreeDatasourceService - Error while moving tree node
- ERROR org.openbravo.service.datasource.DataSourceServlet -
java.lang.NullPointerException

Complete error log: https://pastebin.com/raw/YA6d6NeJ [^]

B) Also it shows like it can move it, and when fail there is no feedback of the error


Note: if you put the tab as read only (UI Pattern), it don't give errors in the log, and the dots line that show where the item will be moved is not show. So gives a better user experience, maybe clone this behaviour?
Steps To ReproduceA standard retail environment with the pack like in livebuilds:
- https://livebuilds.openbravo.com/retail_pi_pgsql [^]

Login in the backend as vallblanca.

Go to the "Product Category" window

Notice how you have access to some records and other not (icon of save in the grid)

Click on the menu view

Try to move the item "Backpacks & Travel" to any place.


Notice the errors in the openbravo.log and that for the user don't give any information that has fail and why.
Proposed Solution1) Fix the error in the log

2) when trying to move an item without access don't show the dots line, that shows where the item will be moved. Or other similar way that gives feedback to the user that this item can not be moved
    2.b) Alternatively, other option when trying to move, show a warning/info in the ui to the user. Or any other way of feedback to the user.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0100698)
hgbot (developer)
2017-11-24 11:19

Repository: erp/devel/pi
Changeset: 10214c76633ec218343d42a34f303240d59030c7
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Fri Nov 24 11:15:29 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/10214c76633ec218343d42a34f303240d59030c7 [^]

fixes bug 36972: Show error in the UI when there is an error moving a tree node

Add the ability to display error messages in the UI when there are errors on the update flow of the tree datasource.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-tree-view-grid.js
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/TreeDatasourceService.java
---
(0100726)
alostale (developer)
2017-11-27 10:10

reviewed + tested
(0101455)
hudsonbot (developer)
2018-01-03 12:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-09-28 16:44 gorka_gil New Issue
2017-09-28 16:44 gorka_gil Assigned To => platform
2017-09-28 16:44 gorka_gil Web browser => Google Chrome
2017-09-28 16:44 gorka_gil Modules => Core
2017-09-28 16:44 gorka_gil Triggers an Emergency Pack => No
2017-11-24 11:18 caristu Assigned To platform => caristu
2017-11-24 11:19 hgbot Checkin
2017-11-24 11:19 hgbot Note Added: 0100698
2017-11-24 11:19 hgbot Status new => resolved
2017-11-24 11:19 hgbot Resolution open => fixed
2017-11-24 11:19 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/10214c76633ec218343d42a34f303240d59030c7 [^]
2017-11-24 11:20 caristu Review Assigned To => alostale
2017-11-24 11:20 caristu Web browser Google Chrome => Google Chrome
2017-11-27 10:10 alostale Note Added: 0100726
2017-11-27 10:10 alostale Status resolved => closed
2017-11-27 10:10 alostale Fixed in Version => 3.0PR18Q1
2018-01-03 12:39 hudsonbot Checkin
2018-01-03 12:39 hudsonbot Note Added: 0101455


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker